-- AUTEURS --

/*
DARBORD Gabriel - 21708126
LAURENT Andréas - 21601010

Nom du groupe : A9
*/


-- BASE DE DONNEE --

/* pas de permission sur le serveur MySql de la fac
DROP DATABASE IF EXISTS BDEVENT;

SELECT 'Database dropped' AS 'INFO';
*/


-- TRIGGERS --

DROP TRIGGER IF EXISTS verif_insertion_lieu;
DROP TRIGGER IF EXISTS mise_a_jour_note;
DROP TRIGGER IF EXISTS validation_notation;
DROP TRIGGER IF EXISTS inscription_event;
DROP TRIGGER IF EXISTS verif_utilisateur;
DROP TRIGGER IF EXISTS verif_commentaire;

SELECT 'Triggers dropped' AS 'INFO';


-- TABLES --

DROP TABLE IF EXISTS INSCRIPTION;
DROP TABLE IF EXISTS NOTE;
DROP TABLE IF EXISTS COMMENTAIRE;
DROP TABLE IF EXISTS UTILISATEUR;
DROP TABLE IF EXISTS EVENEMENT;
DROP TABLE IF EXISTS THEME;
DROP TABLE IF EXISTS COORDONNEES;
DROP TABLE IF EXISTS LIEU;
DROP TABLE IF EXISTS ERRORLOG;

SELECT 'Tables dropped' AS 'INFO';


-- FUNCTIONS --

DROP FUNCTION IF EXISTS recuperation_LID;
DROP FUNCTION IF EXISTS recup_effectif_event;

SELECT 'Functions dropped' AS 'INFO';


-- PROCEDURES --

DROP PROCEDURE IF EXISTS available_themes;
DROP PROCEDURE IF EXISTS themes_associes;
DROP PROCEDURE IF EXISTS events_for_user;
DROP PROCEDURE IF EXISTS users_for_event;
DROP PROCEDURE IF EXISTS events_by_criteria;
DROP PROCEDURE IF EXISTS comments_from_user;
DROP PROCEDURE IF EXISTS comments_for_event;
DROP PROCEDURE IF EXISTS note_for_event;
DROP PROCEDURE IF EXISTS notes_from_user;
DROP PROCEDURE IF EXISTS authentification;
DROP PROCEDURE IF EXISTS inscription;
DROP PROCEDURE IF EXISTS insert_event;
DROP PROCEDURE IF EXISTS create_event;
DROP PROCEDURE IF EXISTS inscription_event;
DROP PROCEDURE IF EXISTS insert_lieu;
DROP PROCEDURE IF EXISTS insert_note;
DROP PROCEDURE IF EXISTS insert_comment;

SELECT 'Procedures dropped' AS 'INFO';
